<template>
    <view>
        <view  v-if="time">
            {{timeName == 'inTime' ? text1 : text2}} {{step == 3 ?'':(step == 4 ? '' :'') }}
        </view>
        <view v-else>--</view>

    </view>

</template>

<script>
    export default {
        name: 'oooi',
        data() {
            return {
                stylestep: '',
                setpW: ['85', '180', '290', '400', '555'],
                textT: ['out', 'Take off', 'Cruise', 'Descent', 'Take on', 'Take in'],
                text1: '',
                text2: '',
            }
        },
        onLoad(option) {

        },
        props: {
            step: {
                type: Number,
            },
            time: {
                type: String,
                default: '',
            },
            timeName: {
                type: String,
                default: '',
            },

        },
        methods: {
            addclass(step) {
                switch (step) {
                    case 1:
                        return 'fly-1';
                    case 2:
                        return 'fly-2';
                    case 3:
                        return 'fly-3';
                    case 4:
                        return 'fly-4';
                    case 5:
                        return 'fly-5';
                }
            },
        },
        created() {
            this.stylestep = this.setpW[this.step - 1]
            //this.stylestep = '400'
            this.text1 = this.textT[this.step]
            this.text2 = this.textT[this.step - 1]
            //this.step=4
        }
    }
</script>

<style scoped lang="scss">
  
</style>
